"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1073579c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107357a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107357b00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107357ba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107357c40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107357ce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107357d80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107357e20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107357ec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107357f60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108b98040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108b980e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108b98180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108b98220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108b982c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108b98360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108b98400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108b984a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108b98540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108b985e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108b98680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108b98720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108b987c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108b98860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108b98900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108b989a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108b98a40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108b98ae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108b98b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108b98c20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108b98cc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108b98d60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108b98e00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108b98ea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108b98f40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108b98fe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108b99080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108b99120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108b991c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108b99260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108b99300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108b993a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108b99440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108b994e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108b99580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108b99620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108b996c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108b99760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108b99800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108b998a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108b99940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108b999e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108b99a80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108b99b20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108b99bc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108b99c60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108b99d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108b99da0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108b99e40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108b99ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108b99f80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a0c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a2a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a3e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a5c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a7a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a8e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108b9a980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108b9aa20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108b9aac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108b9ab60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108b9aca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108b9ac00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108b9ad40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108b9ade0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108b9ae80>)]
name: str = 'fr_HOCCN'
